Package org.gradle.api.publish.ivy

# Interface IvyArtifact

All Superinterfaces:
  `Buildable`, `PublicationArtifact`

public interface IvyArtifact extends PublicationArtifact
An artifact published as part of a `IvyPublication`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Property<String>`
  `getClassifier()`
  The classifier used to publish the artifact file.
  `Property<String>`
  `getConf()`
  A comma separated list of public configurations in which this artifact is published.
  `Property<String>`
  `getExtension()`
  The extension used to publish the artifact file.
  `Property<String>`
  `getName()`
  The name used to publish the artifact file.
  `Property<String>`
  `getType()`
  The type used to publish the artifact file.

  ### Methods inherited from interface org.gradle.api.Buildable

  `getBuildDependencies`

  ### Methods inherited from interface org.gradle.api.publish.PublicationArtifact

  `builtBy, getFile`

- ## Method Details

  - ### getName

    Property<String> getName()
    The name used to publish the artifact file. Defaults to the name of the module that this artifact belongs to.

  - ### getType

    Property<String> getType()
    The type used to publish the artifact file.

  - ### getExtension

    Property<String> getExtension()
    The extension used to publish the artifact file. For an artifact without an extension, this value will be an empty String.

  - ### getClassifier

    @Optional Property<String> getClassifier()
    The classifier used to publish the artifact file. An absent value (the default) indicates that this artifact will be published without a classifier.

  - ### getConf

    @Optional Property<String> getConf()
    A comma separated list of public configurations in which this artifact is published. The '*' wildcard is used to designate that the artifact is published in all public configurations. An optional value (the default) indicates that this artifact will be published without a conf attribute.